import { usePagination } from "@/lib/hooks";
import { PropsWithChildren, createContext } from "react";

export interface IQuotesContextState {}

export const QuotesContext = createContext<IQuotesContextState | null>(null);

export const QuotesProvider = ({ children }: PropsWithChildren) => {
  const [pagination, setPagination] = usePagination();

  return (
    <QuotesContext.Provider
      value={{
        pagination,
        setPagination,
      }}
    >
      {children}
    </QuotesContext.Provider>
  );
};
